create method for updating multiple hosts via name instead of id
Status: Closed
Assignee: Corey Osman

Category: API

Target version: 0.3

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| need a method to update multiple hosts via a name. | altered some code but | don't understand how the find function works with
the params.

Need some clarification on whats going on with the following line of code.

@hosts = Host.find(params[:host_names], :order => "hostgroup_id ASC")

Here is what | put together as a future patch for this feature.

def find_multiple

if not params|[:host_ids].blank?

@hosts = Host.find(params[:host_ids], :order => "hostgroup_id ASC")
elsif not params|[:host_names].blank?

@hosts = Host.find(params[:host_names], :order => "hostgroup_id ASC")
else

error 'No Hosts selected’

redirect_to (hosts_path) and return false

end

rescue => e
error "Something went wrong while selecting hosts - #{e}"
redirect_to hosts_path

end

Associated revisions

Revision 2b0af5e7 - 05/01/2011 05:07 AM - Ohad Levy

Fixes #865 - adds support for api to select multiple hosts via name and id

Signed-off-by: Corey Osman <corey@logicminds.biz>
Signed-off-by: Ohad Levy <ohadlevy@gmail.com>

History

#1 - 04/24/2011 05:50 PM - Corey Osman

- Assignee set to Corey Osman

#2 - 05/01/2011 07:26 AM - Ohad Levy
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset 2b0af5e72284c830ef58393222e689399a0c8150.

#3 - 05/01/2011 07:27 AM - Ohad Levy

05/12/2024 1/2



mailto:corey@logicminds.biz
mailto:ohadlevy@gmail.com
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2b0af5e72284c830ef58393222e689399a0c8150

- Category set to API
- Status changed from Ready For Testing to Closed

- Target version set to 0.3
